Summary:	FUSE-based file system backed by Amazon S3
Summary(pl.UTF-8):	Oparty na FUSE system plików wykorzystujący usługę Amazon S3
Name:		s3fs-fuse
Version:	1.77
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://github.com/s3fs-fuse/s3fs-fuse/tarball/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	6b3896b9f10c929ea5254227934912d2
URL:		https://github.com/s3fs-fuse/s3fs-fuse/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	curl-devel >= 7.0
BuildRequires:	libfuse-devel >= 2.8.4
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel >= 1:2.6
BuildRequires:	openssl-devel >= 0.9
BuildRequires:	pkgconfig
Requires:	libfuse >= 2.8.4
Requires:	libxml2 >= 1:2.6
Obsoletes:	s3fs < 1:1.75
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
s3fs is a FUSE filesystem that allows you to mount an Amazon S3 bucket
as a local filesystem. It stores files natively and transparently in
S3 (i.e., you can use other programs to access the same files).
Maximum file size=5G.

s3fs is stable and is being used in number of production environments,
e.g., rsync backup to s3.

%description -l pl.UTF-8
s3fs to oparty na FUSE system plików, pozwalający na montowanie zasobu
Amazon S3 jako lokalnego systemu plików. Przechowuje pliki natywnie i
w sposób przezroczysty w S3 (czyli można używać innych programów do
dostępu do tych samych plików). Maksymalny rozmiar pliku to 5G.

s3fs jest stabilny, używany w wielu środowiskach produkcyjnych, np.
synchronizacja kopii zapasowych na s3.

%prep
%setup -qc
mv s3fs-fuse-s3fs-fuse-*/* .
%{__rm} -r s3fs-fuse-s3fs-fuse-*

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/s3fs
%{_mandir}/man1/s3fs.1*
%changelog
* Sun Jun 08 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/s3fs-fuse.git;a=log;h=master

* Sun Jun 08 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> 21b08b4
- Version: 1.77

* Sun Jun 08 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> 0d0c1e2
- URL updated

* Thu Feb 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 942cc6b
- pl, versioned dependencies

* Tue Feb 04 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> ecf93ff
- Drop Epoch in this package

* Tue Feb 04 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> f0659ae
- Include Epoch in 'O: s3fs'

* Tue Feb 04 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> 14d3796
- s3fs renamed to s3fs-fuse and moved to github

* Thu Jan 03 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 60a3f1e
- Fix local cache size/mtime check

* Thu Jan 03 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 6334f52
- Fix handling files with no x-amz-meta-mode

* Thu Jan 03 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 1d4339d
- Version: 1.61

* Fri May 14 2010 sparky <sparky@pld-linux.org> 1057e7e
- BR: libstdc++-devel

* Mon Mar 15 2010 Jacek Konieczny <jajcus@pld-linux.org> 0f7f8fc
- Source0-md5 added

* Sun Mar 14 2010 Jacek Konieczny <jajcus@pld-linux.org> f61a921
- new package

